namespace clips {
   /*******************************************************/
   /*      "C" Language Integrated Production System      */
   /*                                                     */
   /*            CLIPS Version 6.40  11/17/19             */
   /*                                                     */
   /*                   API HEADER FILE                   */
   /*******************************************************/

/*************************************************************/
/* Purpose:                                                  */
/*                                                           */
/* Principal Programmer(s):                                  */
/*      Gary D. Riley                                        */
/*                                                           */
/* Contributing Programmer(s):                               */
/*                                                           */
/* Revision History:                                         */
/*                                                           */
/*      6.24: Added filertr.h and tmpltfun.h to include      */
/*            list.                                          */
/*                                                           */
/*      6.30: Added classpsr.h, iofun.h, and strngrtr.h to   */
/*            include list.                                  */
/*                                                           */
/*      6.40: Pragma once and other inclusion changes.       */
/*                                                           */
/*************************************************************/

#ifndef _H_CLIPS_API

#pragma once

#define _H_CLIPS_API

} // namespace clips
#include <stdio.h>
namespace clips {

} // namespace clips
#include "setup.h"
#include "argacces.h"
#include "constant.h"
#include "memalloc.h"
#include "cstrcpsr.h"
#include "fileutil.h"
#include "strngfun.h"
#include "envrnmnt.h"
#include "envrnbld.h"
#include "commline.h"
#include "symbol.h"
namespace clips {

} // namespace clips
#include "prntutil.h"
#include "router.h"
#include "filertr.h"
#include "strngrtr.h"
namespace clips {

} // namespace clips
#include "iofun.h"
namespace clips {

} // namespace clips
#include "sysdep.h"
#include "bmathfun.h"
#include "expressn.h"
#include "exprnpsr.h"
#include "evaluatn.h"
#include "miscfun.h"
#include "constrct.h"
#include "utility.h"
#include "watch.h"
#include "modulbsc.h"
namespace clips {

#if BLOAD_ONLY || BLOAD || BLOAD_AND_BSAVE
} // namespace clips
#include "bload.h"
namespace clips {
#endif

#if BLOAD_AND_BSAVE
} // namespace clips
#include "bsave.h"
namespace clips {
#endif

#if DEFRULE_CONSTRUCT
} // namespace clips
#include "ruledef.h"
#include "rulebsc.h"
#include "engine.h"
#include "drive.h"
#include "incrrset.h"
#include "rulecom.h"
#include "crstrtgy.h"
namespace clips {
#endif

#if DEFFACTS_CONSTRUCT
} // namespace clips
#include "dffctdef.h"
#include "dffctbsc.h"
namespace clips {
#endif

#if DEFTEMPLATE_CONSTRUCT
} // namespace clips
#include "tmpltdef.h"
#include "tmpltbsc.h"
#include "tmpltfun.h"
#include "factcom.h"
#include "factfile.h"
#include "factfun.h"
#include "factmngr.h"
#include "facthsh.h"
namespace clips {
#endif

#if DEFGLOBAL_CONSTRUCT
} // namespace clips
#include "globldef.h"
#include "globlbsc.h"
#include "globlcom.h"
namespace clips {
#endif

#if DEFFUNCTION_CONSTRUCT
} // namespace clips
#include "dffnxfun.h"
namespace clips {
#endif

#if DEFGENERIC_CONSTRUCT
} // namespace clips
#include "genrccom.h"
#include "genrcfun.h"
namespace clips {
#endif

#if OBJECT_SYSTEM
} // namespace clips
#include "classcom.h"
#include "classexm.h"
#include "classfun.h"
#include "classinf.h"
#include "classini.h"
#include "classpsr.h"
#include "defins.h"
#include "inscom.h"
#include "insfile.h"
#include "insfun.h"
#include "insmngr.h"
#include "msgcom.h"
#include "msgpass.h"
#include "objrtmch.h"
namespace clips {
#endif

#endif /* _H_CLIPS_API */
} // namespace clips
